{code}: Get stations by country code

API: radio-browser.info:radio-browser-api
Endpoint: /stations/bycountrycodeexact/{code}
Response format: application/json
Auth: unknown
Method: GET
Last Status: 200
Latency: 676ms

Description

Returns all stations from a specific country using ISO 3166-1 alpha-2 code.

Parameters (6)

code (string, path, required)

ISO 3166-1 alpha-2 country code (e.g., US, DE, UK)

hidebroken (boolean, query, optional, default: False)
limit (integer, query, optional, default: 100000)
offset (integer, query, optional, default: 0)
order (string, query, optional)
reverse (boolean, query, optional, default: False)

Examples (4)

Get stations for Germany curl
curl 'https://de1.api.radio-browser.info/json/stations/bycountrycodeexact/DE'
import requests

resp = requests.get("https://de1.api.radio-browser.info/json/stations/bycountrycodeexact/DE")
data = resp.json()
import zingu_apis

api = zingu_apis.api("radio-browser")
result = api.fetch("stations/bycountrycodeexact/{code}")

for item in result:
    print(item)
const resp = await fetch("https://de1.api.radio-browser.info/json/stations/bycountrycodeexact/DE");
const data = await resp.json();
Get 10 working stations from USA curl
curl 'https://de1.api.radio-browser.info/json/stations/bycountrycodeexact/US?limit=10&hidebroken=True'
import requests

resp = requests.get(
    "https://de1.api.radio-browser.info/json/stations/bycountrycodeexact/US",
    params={
        'limit': 10,
        'hidebroken': True,
    },
)
data = resp.json()
import zingu_apis

api = zingu_apis.api("radio-browser")
result = api.fetch("stations/bycountrycodeexact/{code}", limit=10, hidebroken=True)

for item in result:
    print(item)
const resp = await fetch("https://de1.api.radio-browser.info/json/stations/bycountrycodeexact/US?limit=10&hidebroken=True");
const data = await resp.json();
Get UK stations ordered by name descending curl
curl 'https://de1.api.radio-browser.info/json/stations/bycountrycodeexact/GB?order=name&reverse=True'
import requests

resp = requests.get(
    "https://de1.api.radio-browser.info/json/stations/bycountrycodeexact/GB",
    params={
        'order': 'name',
        'reverse': True,
    },
)
data = resp.json()
import zingu_apis

api = zingu_apis.api("radio-browser")
result = api.fetch("stations/bycountrycodeexact/{code}", order="name", reverse=True)

for item in result:
    print(item)
const resp = await fetch("https://de1.api.radio-browser.info/json/stations/bycountrycodeexact/GB?order=name&reverse=True");
const data = await resp.json();
Get stations by country code NL doc_extracted
curl 'https://de1.api.radio-browser.info/json/stations/bycountrycodeexact/NL?code=NL'
import requests

resp = requests.get(
    "https://de1.api.radio-browser.info/json/stations/bycountrycodeexact/NL",
    params={
        'code': 'NL',
    },
)
data = resp.json()
import zingu_apis

api = zingu_apis.api("radio-browser")
result = api.fetch("stations/bycountrycodeexact/{code}", code="NL")

for item in result:
    print(item)
const resp = await fetch("https://de1.api.radio-browser.info/json/stations/bycountrycodeexact/NL?code=NL");
const data = await resp.json();

Probe History

Latency

Status Codes

TimeStatusLatencySize
2026-04-16 17:39:34.530474 200 676ms
2026-04-16 17:36:54.795033 200 288ms
2026-04-16 17:35:52.967967 200 333ms
2026-04-16 03:15:55.462904 200 315ms
2026-04-16 02:35:52.373713 200 313ms
2026-04-16 01:37:04.562632 200 367ms
2026-04-16 00:12:42.878860 200 278ms
2026-04-15 03:13:22.347321 200 318ms
2026-04-15 02:44:58.657670 200 311ms
2026-04-15 02:36:10.624593 200 254ms
2026-04-15 00:42:13.470789 200 296ms
2026-04-14 03:59:53.455515 200 314ms
2026-04-14 01:25:21.021469 200 476ms
2026-04-14 00:48:42.470069 200 257ms
2026-04-14 00:30:23.631756 200 338ms
2026-04-12 16:09:54.472128 200 380ms
2026-04-12 15:59:50.570833 200 461ms
2026-04-12 13:06:13.143826 200 408ms
2026-04-12 12:34:18.846778 200 489ms
2026-04-10 03:24:08.631294 200 241ms
2026-04-10 03:17:54.444009 200 334ms
2026-04-10 02:24:10.495613 200 181ms
2026-04-10 00:15:31.810130 200 232ms
2026-04-09 02:00:51.480719 200 145ms
2026-04-09 01:52:00.686452 200 335ms
2026-04-09 01:30:17.422206 200 510ms
2026-04-09 00:29:22.524338 200 305ms
2026-04-08 07:32:55.857044 200 347ms
2026-04-08 02:19:12.319701 200 414ms
2026-04-08 00:20:55.917895 200 265ms
2026-04-08 00:13:39.927959 200 426ms
2026-04-07 01:45:18.726485 200 198ms
2026-04-07 01:31:49.472423 200 301ms
2026-04-07 00:33:11.493353 200 281ms
2026-04-07 00:25:30.897977 200 167ms
2026-04-06 06:25:18.799058 200 305ms
2026-04-06 06:02:50.476282 200 324ms
2026-04-06 04:02:21.433782 200 262ms
2026-04-05 21:49:16.368547 200 431ms
2026-04-05 14:35:55.092411 200 524ms
2026-04-05 03:12:54.883535 200 335ms
2026-04-05 02:55:30.965558 200 265ms
2026-04-05 00:49:46.981317 200 317ms
2026-04-05 00:37:19.271835 200 417ms
2026-04-04 03:47:21.462225 200 360ms
2026-04-04 03:43:13.939002 200 290ms
2026-04-04 03:33:43.501698 200 252ms
2026-04-04 02:38:36.042157 200 373ms
2026-04-03 13:11:24.722917 200 326ms
2026-04-03 12:42:25.748535 200 170ms